!+
! Module: eposcorr_def
!
! Authors:  Jacco Vink - AIP
!          
! Description: Definitions to be used in eposcorr_mod & eposcorr_io
! 
! Comments: 
! 
! $Id: module.f90,v 1.6 1998/05/27 13:45:39 gvacanti Exp $
!- 
module eposcorr_def

  use param  
  use dal

  implicit none


  !
  ! coordinate type definition
  !
  type :: Coordinate_type
     real(kind=double) :: ra, dec, lii_corr, bii_corr
     real(kind=single) :: error, ra_err, dec_err, errsq, mindist
     integer(kind=int32):: crossid
  end type Coordinate_type

  real(kind=double), parameter :: pi = 3.1415926535897932385D0
  real(kind=double), parameter :: rad2deg = 180.0d0/pi
  real(kind=double), parameter :: deg2rad = pi/180.0d0
  real(kind=double), parameter :: rad2arcsec = 3600.0d0*180.0d0/pi
  real(kind=double), parameter :: arcsec2rad = pi/(3600.0d0*180.0d0)
  real(kind=double), parameter :: arcsec2rad2 = (pi/(3600.0d0*180.0d0))**2
  real(kind=double), parameter :: deg2arcsec = 3600.0
  real(kind=double), parameter :: nodec_pnt = 1000.0

  integer(kind=int32), parameter :: n_min_matches=3
  !real(kind=double), parameter :: max_error = 5.0


end module
